<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_281) on Tue Jun 01 09:22:37 CEST 2021 -->
<title>MBAP</title>
<meta name="date" content="2021-06-01">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MBAP";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/Frame.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/MBAP.html" target="_top">Frames</a></li>
<li><a href="MBAP.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ch.hevs.isi.field</div>
<h2 title="Class MBAP" class="title">Class MBAP</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>ch.hevs.isi.field.MBAP</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">MBAP</span>
extends java.lang.Object</pre>
<div class="block">This class creates a Modbus header (MBAP)</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.4</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Vincent</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/MBAP.html#MBAP-java.nio.ByteBuffer-">MBAP</a></span>(java.nio.ByteBuffer&nbsp;b)</code>
<div class="block">Constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/MBAP.html#MBAP-short-short-short-byte-">MBAP</a></span>(short&nbsp;t,
    short&nbsp;p,
    short&nbsp;l,
    byte&nbsp;u)</code>
<div class="block">Constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.nio.ByteBuffer</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/MBAP.html#getByteBuffer--">getByteBuffer</a></span>()</code>
<div class="block">Get the MBAP ByteBuffer</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/MBAP.html#getLength--">getLength</a></span>()</code>
<div class="block">Get the message length</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/MBAP.html#getProtocolID--">getProtocolID</a></span>()</code>
<div class="block">Get the protocolID</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>short</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/MBAP.html#getTransactionID--">getTransactionID</a></span>()</code>
<div class="block">Get the transaction ID</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>byte</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../ch/hevs/isi/field/MBAP.html#getUnitID--">getUnitID</a></span>()</code>
<div class="block">Get the unit ID</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="MBAP-short-short-short-byte-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MBAP</h4>
<pre>public&nbsp;MBAP(short&nbsp;t,
            short&nbsp;p,
            short&nbsp;l,
            byte&nbsp;u)</pre>
<div class="block">Constructor. It creates a MBAP using its parameters</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>t</code> - The transaction ID</dd>
<dd><code>p</code> - The protocol ID (Modbus -> 0)</dd>
<dd><code>l</code> - The message length (including the unitID byte)</dd>
<dd><code>u</code> - The unit ID (1 for Minecraft EA)</dd>
</dl>
</li>
</ul>
<a name="MBAP-java.nio.ByteBuffer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MBAP</h4>
<pre>public&nbsp;MBAP(java.nio.ByteBuffer&nbsp;b)</pre>
<div class="block">Constructor. It creates a MBAP using a ByteBuffer</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - </dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getByteBuffer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getByteBuffer</h4>
<pre>public&nbsp;java.nio.ByteBuffer&nbsp;getByteBuffer()</pre>
<div class="block">Get the MBAP ByteBuffer</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The ByteBuffer</dd>
</dl>
</li>
</ul>
<a name="getTransactionID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTransactionID</h4>
<pre>public&nbsp;short&nbsp;getTransactionID()</pre>
<div class="block">Get the transaction ID</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The transaction ID</dd>
</dl>
</li>
</ul>
<a name="getProtocolID--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProtocolID</h4>
<pre>public&nbsp;short&nbsp;getProtocolID()</pre>
<div class="block">Get the protocolID</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The protocol ID</dd>
</dl>
</li>
</ul>
<a name="getLength--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLength</h4>
<pre>public&nbsp;short&nbsp;getLength()</pre>
<div class="block">Get the message length</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The message length</dd>
</dl>
</li>
</ul>
<a name="getUnitID--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getUnitID</h4>
<pre>public&nbsp;byte&nbsp;getUnitID()</pre>
<div class="block">Get the unit ID</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The unit ID</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../ch/hevs/isi/field/Frame.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../ch/hevs/isi/field/ModbusAccessor.html" title="class in ch.hevs.isi.field"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?ch/hevs/isi/field/MBAP.html" target="_top">Frames</a></li>
<li><a href="MBAP.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
